Skip to content

Create an internal email note

POST
/emails/{id}/internal-notes

Stores a private team note or threaded reply against the selected email thread. The note is not sent to the email sender.

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters

Path Parameters

id*
Type
string
Required

Request Body

application/json
JSON
{
  
"content": "string",
  
"text_content": "string",
  
"parent_note": "string"
}

Responses

Created

application/json
JSON
{
  
"note": {
  
  
"_id": "string",
  
  
"source_email": "string",
  
  
"project": "string",
  
  
"owner": "string",
  
  
"parent_note": "string",
  
  
"content": "string",
  
  
"text_content": "string",
  
  
"createdAt": "string",
  
  
"updatedAt": "string"
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI